<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2007 Sebastian Baumann <sb@sitesystems.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

require_once(PATH_tslib.'class.tslib_pibase.php');
/**
 * Plugin 'Partners' for the 'sb_partner' extension.
 *
 * @author	Sebastian Baumann <sb@sitesystems.de>
 * @package	TYPO3
 * @subpackage	tx_sbpartner
 */

class tx_sbpartner_pi1 extends tslib_pibase {

	var $prefixId      = 'tx_sbpartner_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_sbpartner_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey        = 'sb_partner';	// The extension key.
	var $pi_checkCHash = true;


/**
 * initializes the flexform and all config options ;-)
 */

	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	function main($content,$conf)	{
		global $TSFE,$LANG;
		$this->conf=$conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();

		$langUID = $TSFE->config['config']['sys_language_uid'];
		// if config.sys_language_uid is not set, $langUID = 0
		if(empty($langUID)){
			$langUID = '0';
		}
		// get langoverlay from config
		$langOverlay = $TSFE->config['config']['sys_language_overlay'];
//		print_r($_REQUEST);
		// Cache abstellen
//		$GLOBALS["TSFE"]->set_no_cache();

		// get vars
		$this->pid = intval($this->piVars['uid']);
		$this->currentPID = $GLOBALS["TSFE"]->id;

		$this->backPID = intval($this->piVars['backPID']);
		$this->bp = intval($this->piVars['bp']);
		$this->name = t3lib_div::_GP(name);
		$this->email = t3lib_div::_GP(email);
		$this->text = t3lib_div::_GP(text);
		$this->submit = t3lib_div::_GP(submit);

			// flexform Integration
			$this->pi_initPIflexform(); // Init and get the flexform data of the plugin
			$cat = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'dynField', 'sDEF');
			$view = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'what_to_display', 'sDEF');
			$mailForm = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'hideMail', 'sDEF');


		if(isset($this->conf['templateFile']) && $this->conf['templateFile'] != ""){
			$this->templateCode = $this->cObj->fileResource($this->conf['templateFile']);
		}else{
			$this->templateCode = $this->cObj->fileResource("EXT:sb_partner/sb_partner_template.html");
		}


		if($view == 'MAILFORM') {
			$sql2 = $this->getLanguageData($langUID);
						$abfrage = "SELECT
													  tx_sbpartner_partner.uid as uid,
													  tx_sbpartner_partner.category as category,
													  tx_sbpartner_partner.area as area,
													  tx_sbpartner_partner.logo as logo,
													  tx_sbpartner_partner.logo2 as logo2,
													  tx_sbpartner_partner.url as url,
													  tx_sbpartner_partner.email as email,
													  tx_sbpartner_partner.city as city,
													  tx_sbpartner_partner.zip as zip,
													  tx_sbpartner_partner.phone as phone,
													  tx_sbpartner_partner.phone2 as phone2,
													  tx_sbpartner_partner.mobile as mobile,
													  tx_sbpartner_partner.fax as fax,
													  tx_sbpartner_partner.address as address,
													  tx_sbpartner_partner.description as description,
													  tx_sbpartner_partner.longdescription as longdescription,
													  tx_sbpartner_partner.firstname as firstname,
													  tx_sbpartner_partner.lastname as lastname,
													  tx_sbpartner_partner.company as company,
													  static_countries.cn_short_en as country,
													  static_countries.cn_short_de as country_de
													FROM
													  static_countries
													  RIGHT JOIN tx_sbpartner_partner ON (static_countries.uid = tx_sbpartner_partner.country)
													   WHERE `tx_sbpartner_partner`.deleted=0 AND `tx_sbpartner_partner`.hidden=0
													   AND `tx_sbpartner_partner`.sys_language_uid=$langUID $sql2
													   ORDER BY country ASC";
					  $res = mysql_query($abfrage);
						$content_item = '';
						if(mysql_num_rows($res) == "0"){
							$content.=$this->pi_getLL('no_entry_language');
						}else{
							$printOut = 1;
						}
		} //if($view == 'MAILFORM') {


		// singleview
		if($view == 'SINGLE') {
				$sql2 = $this->getLanguageData($langUID);
						$abfrage = "SELECT
													  tx_sbpartner_partner.uid as uid,
													  tx_sbpartner_partner.category as category,
													  tx_sbpartner_partner.area as area,
													  tx_sbpartner_partner.logo as logo,
													  tx_sbpartner_partner.logo2 as logo2,
													  tx_sbpartner_partner.url as url,
													  tx_sbpartner_partner.email as email,
													  tx_sbpartner_partner.city as city,
													  tx_sbpartner_partner.zip as zip,
													  tx_sbpartner_partner.phone as phone,
													  tx_sbpartner_partner.phone2 as phone2,
													  tx_sbpartner_partner.mobile as mobile,
													  tx_sbpartner_partner.fax as fax,
													  tx_sbpartner_partner.address as address,
													  tx_sbpartner_partner.description as description,
													  tx_sbpartner_partner.longdescription as longdescription,
													  tx_sbpartner_partner.firstname as firstname,
													  tx_sbpartner_partner.lastname as lastname,
													  tx_sbpartner_partner.company as company,
													  static_countries.cn_short_en as country,
													  static_countries.cn_short_de as country_de
													FROM
													  static_countries
													  RIGHT JOIN tx_sbpartner_partner ON (static_countries.uid = tx_sbpartner_partner.country)
													   WHERE `tx_sbpartner_partner`.deleted=0 AND `tx_sbpartner_partner`.hidden=0
													   AND `tx_sbpartner_partner`.sys_language_uid=$langUID $sql2
													   ORDER BY country ASC";
					  $res = mysql_query($abfrage);
						$content_item = '';
						if(mysql_num_rows($res) == "0"){
							$content.=$this->pi_getLL('no_entry_language');
						}else{
							$printOut = 1;
						}
		} //if($view == 'SINGLE') {

		// listview
		if($view == 'LIST') {

					if(empty($this->conf["sort"])){
						$order = " ORDER BY country ASC";
					}else{
						$order = " ORDER BY ".$this->conf["sort"];
						$order.= " ".$this->conf["sorting"];
					}
						// listview
						$abfrage = "SELECT
													  tx_sbpartner_partner.uid as uid,
													  tx_sbpartner_partner.category as category,
													  tx_sbpartner_partner.area as area,
													  tx_sbpartner_partner.logo as logo,
													  tx_sbpartner_partner.logo2 as logo2,
													  tx_sbpartner_partner.url as url,
													  tx_sbpartner_partner.email as email,
													  tx_sbpartner_partner.city as city,
													  tx_sbpartner_partner.zip as zip,
													  tx_sbpartner_partner.phone as phone,
													  tx_sbpartner_partner.phone2 as phone2,
													  tx_sbpartner_partner.mobile as mobile,
													  tx_sbpartner_partner.fax as fax,
													  tx_sbpartner_partner.address as address,
													  tx_sbpartner_partner.description as description,
													  tx_sbpartner_partner.longdescription as longdescription,
													  tx_sbpartner_partner.firstname as firstname,
													  tx_sbpartner_partner.lastname as lastname,
													  tx_sbpartner_partner.company as company,
													  static_countries.cn_short_en as country,
													  static_countries.cn_short_de as country_de
													FROM
													  static_countries
													  RIGHT JOIN tx_sbpartner_partner ON (static_countries.uid = tx_sbpartner_partner.country)
													   WHERE `tx_sbpartner_partner`.deleted=0 AND `tx_sbpartner_partner`.hidden=0
													   AND `tx_sbpartner_partner`.sys_language_uid= $langUID
													   $order";
					  $res = mysql_query($abfrage);
						$content_item = '';


// $langOverlay
			// check if a record exists
			if(mysql_num_rows($res) == "0"){
				// check if sys_language_overlay is set
//				$langOverlay = "1";
				if($langOverlay){
						$abfrage = "SELECT
													  tx_sbpartner_partner.uid as uid,
													  tx_sbpartner_partner.category as category,
													  tx_sbpartner_partner.area as area,
													  tx_sbpartner_partner.logo as logo,
													  tx_sbpartner_partner.logo2 as logo2,
													  tx_sbpartner_partner.url as url,
													  tx_sbpartner_partner.email as email,
													  tx_sbpartner_partner.city as city,
													  tx_sbpartner_partner.zip as zip,
													  tx_sbpartner_partner.phone as phone,
													  tx_sbpartner_partner.phone2 as phone2,
													  tx_sbpartner_partner.mobile as mobile,
													  tx_sbpartner_partner.fax as fax,
													  tx_sbpartner_partner.address as address,
													  tx_sbpartner_partner.description as description,
													  tx_sbpartner_partner.longdescription as longdescription,
													  tx_sbpartner_partner.firstname as firstname,
													  tx_sbpartner_partner.lastname as lastname,
													  tx_sbpartner_partner.company as company,
													  static_countries.cn_short_en as country,
													  static_countries.cn_short_de as country_de
													FROM
													  static_countries
													  RIGHT JOIN tx_sbpartner_partner ON (static_countries.uid = tx_sbpartner_partner.country)
													   WHERE `tx_sbpartner_partner`.deleted=0 AND `tx_sbpartner_partner`.hidden=0
													   AND `tx_sbpartner_partner`.sys_language_uid= 0
													   $order";
					$res = mysql_query($abfrage);
					$content_item = '';
					$printOut = 1;
				}else{
					$printOut = 1;
					$content.='no data';
				}

			}else{
				$printOut = 1;
			}
		}

			// print records out
			if($printOut){
				$content = $this->printRecords($conf,$res,$cat,$langUID,$mailForm,$view);
			}//if($printOut){

			return $content;

		} // function main


	function getLanguageData($langUID){
			// get record data (multilanguage check)
				$abfrage = $GLOBALS['TYPO3_DB']->sql(TYPO3_db, "SELECT l18n_parent, sys_language_uid FROM tx_sbpartner_partner WHERE tx_sbpartner_partner.deleted=0 AND tx_sbpartner_partner.hidden=0 AND `tx_sbpartner_partner`.uid=$this->pid");

	 			while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($abfrage)) {
	 				// Id of default record
	 				$parentId = $row['l18n_parent'];
	 				// language of record
	 				$referenceLanguage = $row['sys_language_uid'];
	 			}
//	 		echo $parentId.'<br>';
				// if $parentID = 0 its the default record
					if($parentId == "0" && $langUID != $referenceLanguage){
							$abfrageLang = $GLOBALS['TYPO3_DB']->sql(TYPO3_db, "SELECT uid FROM tx_sbpartner_partner
																																			WHERE tx_sbpartner_partner.deleted=0
																																			AND tx_sbpartner_partner.hidden=0
																																			AND `tx_sbpartner_partner`.sys_language_uid=$langUID
																																			AND `tx_sbpartner_partner`.l18n_parent=$this->pid
																																");
						while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($abfrageLang)) {
																	$langID = $row['uid'];
																}
						$sql2 = " AND `tx_sbpartner_partner`.uid=$langID";
				// if parentID >0 its a translated record
					}else{
							if($referenceLanguage == $langUID){
								// do nothing, cause this is the correct record
								$sql2 = " AND `tx_sbpartner_partner`.uid=$this->pid";
							}else{
								// get the translated records of the parentID
								$abfrageLang = $GLOBALS['TYPO3_DB']->sql(TYPO3_db, "SELECT uid FROM tx_sbpartner_partner
																																				WHERE tx_sbpartner_partner.deleted=0
																																				AND tx_sbpartner_partner.hidden=0
																																				AND `tx_sbpartner_partner`.sys_language_uid=$langUID
																																				AND `tx_sbpartner_partner`.l18n_parent=$parentId
																																		");

							// check if record available
							$num = $GLOBALS['TYPO3_DB']->sql_num_rows($abfrageLang);
							// if no record is available check if parent record exists
							if(empty($num)) {
								$langID = $parentId;
							}else{
									while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($abfrageLang)) {
											$langID = $row['uid'];
										}
							}
								$sql2 = " AND `tx_sbpartner_partner`.uid=$langID";
							} // if($referenceLanguage == $langUID){
					}//if($parentId == "0"){
					return $sql2;
	}

	function printRecords($conf,$res,$cat,$langUID,$mailForm,$mode){
		global $TSFE,$LANG;
		$this->conf=$conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();

		// wraps
		// Wrap um jedes Element (bis auf Bild)
		$wrap1 = explode("|",$this->conf['wrap1']);

		// insert template
		if($mode == "SINGLE"){
 			$template['template'] = $this->cObj->getSubpart($this->templateCode,'###TEMPLATE_SINGLE###');
		}elseif($mode == "MAILFORM"){
			$template['template'] = $this->cObj->getSubpart($this->templateCode,'###TEMPLATE_MAILFORM###');
		}elseif($mode == "LIST"){
			$template['template'] = $this->cObj->getSubpart($this->templateCode,'###TEMPLATE###');
			$template['listItem'] = $this->cObj->getSubpart($template['template'],'###LIST_ITEM###');
		}
			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
										$catOK = 0;
							    	$catArray = explode(",",$row['category']);

							    	if(in_array($cat,$catArray) || $mode == "SINGLE" || $mode == "MAILFORM") {
											$catOK = 1;
							    	}
							    	if($catOK){
							    		// Logo
											if (empty($row["logo"])) {
													$this->conf["image."]["file"] = "";
													$theImgCode = '';
											}	else {
												    $this->conf["image."]["file"] = "uploads/tx_sbpartner/".$row["logo"];
												    $theImgCode = $this->cObj->IMAGE($this->conf["image."]);
											}
											// Logo2
											if (empty($row["logo2"])) {
													$this->conf["image."]["file"] = "";
													$theImgCode2 = '';
											}	else {
												    $this->conf["image."]["file"] = "uploads/tx_sbpartner/".$row["logo2"];
												    $theImgCode2 = $this->cObj->IMAGE($this->conf["image."]);
											}
							    		$markerArray['###LOGO###'] = $theImgCode;
							    		$markerArray['###LOGO2###'] = $theImgCode2;
							    		if(!empty($row['company']))	$markerArray['###COMPANY###'] = $wrap1[0].$row['company'].$wrap1[1]; else $markerArray['###COMPANY###'] = "";
							    		if(!empty($row['description']))	$markerArray['###DESCRIPTION###'] = $wrap1[0].$row['description'].$wrap1[1]; else $markerArray['###DESCRIPTION###'] = "";
								    	if(!empty($row['firstname'])) $markerArray['###FIRSTNAME###'] = $wrap1[0].$row['firstname'].$wrap1[1]; else $markerArray['###FIRSTNAME###'] = "";
								    	if(!empty($row['lastname'])) $markerArray['###LASTNAME###'] = $wrap1[0].$row['lastname'].$wrap1[1]; else $markerArray['###LASTNAME###'] = "";
								    	if(!empty($row['address'])) $markerArray['###ADDRESS###'] = $wrap1[0].nl2br($row['address']).$wrap1[1]; else $markerArray['###ADDRESS###'] = "";
							    		if(!empty($row['zip'])) $markerArray['###ZIP###'] = $wrap1[0].$row['zip'].$wrap1[1]; else $markerArray['###ZIP###'] = "";
								    	if(!empty($row['city'])) $markerArray['###CITY###'] = $wrap1[0].$row['city'].$wrap1[1]; else $markerArray['###CITY###'] = "";
								    	// Wenn deutsche Sprachversion, auch deutsche Lndernamen ausgeben
								    	if($langUID == $this->conf['german_sysLanguageId']){
								    		if(!empty($row['country_de'])) $markerArray['###COUNTRY###'] = $wrap1[0].$row['country_de'].$wrap1[1]; else $markerArray['###COUNTRY###'] = "";
								    	}else{
								    		if(!empty($row['country'])) $markerArray['###COUNTRY###'] = $wrap1[0].$row['country'].$wrap1[1]; else $markerArray['###COUNTRY###'] = "";
								    	}
								    	if(!empty($row['category'])) $markerArray['###CAT###'] = $wrap1[0].$row['category'].$wrap1[1]; else $markerArray['###CAT###'] = "";
								    	if(!empty($row['phone'])) $markerArray['###PHONE###'] = $wrap1[0].$row['phone'].$wrap1[1]; else $markerArray['###PHONE###'] = "";
								    	if(!empty($row['phone2'])) $markerArray['###PHONE2###'] = $wrap1[0].$row['phone2'].$wrap1[1]; else $markerArray['###PHONE2###'] = "";
								    	if(!empty($row['mobile'])) $markerArray['###MOBILE###'] = $wrap1[0].$row['mobile'].$wrap1[1]; else $markerArray['###MOBILE###'] = "";
								    	if(!empty($row['fax'])) $markerArray['###FAX###'] = $wrap1[0].$row['fax'].$wrap1[1]; else $markerArray['###FAX###'] = "";
								    	if(!empty($row['area'])) $markerArray['###AREA###'] = $wrap1[0].$row['area'].$wrap1[1]; else $markerArray['###AREA###'] = "";
								    	$markerArray['###LABEL_AREA###'] = $wrap1[0].$this->pi_getLL('label_area').$wrap1[1];
								    	$markerArray['###LABEL_PHONE###'] = $wrap1[0].$this->pi_getLL('label_phone').$wrap1[1];
								    	$markerArray['###LABEL_FAX###'] = $wrap1[0].$this->pi_getLL('label_fax').$wrap1[1];
								    	$markerArray['###LABEL_MOBILE###'] = $wrap1[0].$this->pi_getLL('label_mobile').$wrap1[1];
								    	$markerArray['###LABEL_PHONE2###'] = $wrap1[0].$this->pi_getLL('label_phone2').$wrap1[1];
								    	$markerArray['###LABEL_MAIL###'] = $wrap1[0].$this->pi_getLL('label_mail').$wrap1[1];
								    	$markerArray['###LABEL_NAME###'] = $wrap1[0].$this->pi_getLL('label_phone2').$wrap1[1];
								    	$markerArray['###LABEL_TEXT###'] = $wrap1[0].$this->pi_getLL('label_text').$wrap1[1];
								    	// more Link
								    	if(!empty($row['longdescription'])) {
								    		$cache = 1;
										// SinglePID of the site
										$id=$this->conf["singlePID"];
										// singleID of
										$singleID = $row['uid'];
										$markerArray['###MORE###'] = $this->pi_linkToPage($this->pi_getLL('more'),$id,$target='',$urlParameters=array('tx_sbpartner_pi1[uid]' => $singleID,'tx_sbpartner_pi1[backPID]' => $this->currentPID));
								    	}else{
												$markerArray['###MORE###'] = '';
								    	}
								    	// Homepage
											if(!empty($this->conf['linkIcon'])) {
												$linkIcon = '<img src="'.$this->conf['linkIcon'].'" border="0">';
											}
											if(!empty($row['url'])) {
								    		if(substr($row['url'],0,7)=='http://') {
								    			$markerArray['###URL###']= '<a href="'.$row['url'].'" class="'.$this->conf['urlClass'].'" target="'.$this->conf['linkTarget'].'">'.$linkIcon.$row['url'].'</a>'.$wrap1[1];
								    		} else {
								    			$markerArray['###URL###']= '<a href="http://'.$row['url'].'" class="'.$this->conf['urlClass'].'"  target="'.$this->conf['linkTarget'].'">'.$linkIcon.$row['url'].'</a>'.$wrap1[1];
								    		}
											}else{
												$markerArray['###URL###']="";
											}
							    		// E-Mail-Adresse
											if(!empty($this->conf['mailIcon'])) {
												$linkIcon = '<img src="'.$this->conf['mailIcon'].'" border="0">';
											}
											if(!empty($row['email'])) {

												$email = $row['email'];
												$validEmail = str_replace('@', '(at)', trim($email));
												if($mailForm){
													// SinglePID of the site
													$id=$this->conf["mailFormPID"];
													// singleID of
													$singleID = $row['uid'];
													$markerArray['###EMAIL###'] = $this->pi_linkToPage($linkIcon.$this->pi_getLL('contact'),$id,$target='',$urlParameters=array('tx_sbpartner_pi1[uid]' => $singleID,'tx_sbpartner_pi1[backPID]' => $this->currentPID));
												}else{
													$markerArray['###EMAIL###'] = '<a href="'.$this->pi_getPageLink($email).'" class="'.$this->conf['mailClass'].'">'.$linkIcon.$validEmail.'</a>';
												}
											}else{
												$markerArray['###EMAIL###'] = '';
											}
											$longDescription = $this->formatStr($row['longdescription']);
											if(!empty($longDescription))	$markerArray['###LONGDESCRIPTION###'] = $wrap1[0].$longDescription.$wrap1[1]; else $markerArray['###LONGDESCRIPTION###'] = "";
//											$cache = 1;
											if(isset($this->bp) && $this->bp != 0){
												$this->backPID = $this->bp;
											}


											$markerArray['###FORM_URL###'].=$this->pi_getPageLink($GLOBALS["TSFE"]->id,'',$_GET);

											if(isset($this->bp) && $this->bp != 0){
												$markerArray['###BACK###'] = $this->pi_linkToPage($this->pi_getLL('back'),$this->bp,$target='',$urlParameters=array());
											}else{
												$markerArray['###BACK###'] = $this->pi_linkToPage($this->pi_getLL('back'),$this->backPID,$target='',$urlParameters=array());
											} // if(isset($this->bp) && $this->bp != 0){


											// if mailform sent
												$markerArray['###VALUE_NAME###'] = '';
												$markerArray['###VALUE_EMAIL###'] = '';
												$markerArray['###VALUE_TEXT###'] = '';
											if(isset($this->submit)){
												$mandatory = explode(",",$this->conf["mandatoryFields"]);
												if(empty($this->text) && in_array("text",$mandatory)){
													$sendMail = "error";
												}elseif(empty($this->email) && in_array("email",$mandatory)){
													$sendMail = "error";
												}elseif(!empty($this->email) && !ereg("^([a-zA-Z0-9\.\_\-]+)@([a-zA-Z0-9\.\-]+\.[A-Za-z][A-Za-z]+)$", $this->email)){
													$sendMail = "wrongMail";
												}elseif(empty($this->name) && in_array("name",$mandatory)){
													$sendMail = "error";
												}else{
													 $sendMailOK = $this->sendForm($email,$row['company'],$this->name,$this->email,$this->text);
													 if($sendMailOK){
													 	$sendMail = "correct";
													 }
												}
											}
											if($sendMail == "correct"){
												$markerArray['###FORMTEXT###'] = '<div id="csc-frame-frame1">'.$this->pi_getLL('dataOK').'</div>';
											}elseif($sendMail == "error"){
												$markerArray['###VALUE_NAME###'] = $this->name;
												$markerArray['###VALUE_EMAIL###'] = $this->email;
												$markerArray['###VALUE_TEXT###'] = $this->text;
												$markerArray['###FORMTEXT###'] = '<div id="csc-frame-frame2">'.$this->pi_getLL('dataNotOK').'</div>';
											}elseif($sendMail == "wrongMail"){
												$markerArray['###VALUE_NAME###'] = $this->name;
												$markerArray['###VALUE_EMAIL###'] = $this->email;
												$markerArray['###VALUE_TEXT###'] = $this->text;
												$markerArray['###FORMTEXT###'] = '<div id="csc-frame-frame2">'.$this->pi_getLL('wrongEmail').'</div>';
											}else{
												$markerArray['###FORMTEXT###'] = '';
											}

								    		$content_item .= $this->cObj->substituteMarkerArrayCached($template['listItem'], $markerArray);
							    	} //if($catOK){
							    } //while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {

								    if($mode == 'LIST'){
											$subpartArray['###CONTENT###'] = $content_item;
									    $content .= $this->cObj->substituteMarkerArrayCached($template['template'], $markerArray, $subpartArray);
								    }else{
										// substitue single template
								    $content = $this->cObj->substituteMarkerArrayCached($template['template'], array(), $markerArray);
								    }
							    return $content;
	}//function printOut(){

	// format of rte fields
	function formatStr($str)	{
		if (is_array($this->conf["general_stdWrap."]))	{
			$str = $this->cObj->stdWrap($str,$this->conf["general_stdWrap."]);
		}
		return $str;
	} // function formatStr

	function sendForm($emailTo,$company,$name,$emailFrom,$emailText){
				global $TSFE,$LANG;
				$this->pi_setPiVarDefaults();
				$this->pi_loadLL();
				$header = "From: $emailFrom\r\n";
				$betreff= $this->pi_getLL('subject').' '.$company;
				$text="$emailText\n";
				mail($emailTo,$betreff,$text,$header);
		return true;
	}

} // class

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/sb_partner/pi1/class.tx_sbpartner_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/sb_partner/pi1/class.tx_sbpartner_pi1.php']);
}

?>
