<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_sbpartner_partner"] = array (
	"ctrl" => $TCA["tx_sbpartner_partner"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,starttime,endtime,fe_group,company,lastname,firstname,address,zip,city,country,email,url,logo,category,area,phone,fax"
	),
	"feInterface" => $TCA["tx_sbpartner_partner"]["feInterface"],
	"columns" => array (
		't3ver_label' => array (
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array (
				'type' => 'input',
				'size' => '30',
				'max'  => '30',
			)
		),
		'sys_language_uid' => array (
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array (
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_sbpartner_partner',
				'foreign_table_where' => 'AND tx_sbpartner_partner.pid=###CURRENT_PID### AND tx_sbpartner_partner.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array (
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'starttime' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'default'  => '0',
				'checkbox' => '0'
			)
		),
		'endtime' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'checkbox' => '0',
				'default'  => '0',
				'range'    => array (
					'upper' => mktime(0, 0, 0, 12, 31, 2020),
					'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
				)
			)
		),
		'fe_group' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		"company" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.company",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"max" => "100",
				"eval" => "required",
			)
		),
		"lastname" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.lastname",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"firstname" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.firstname",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"address" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.address",
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "2"
			)
		),
		"zip" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.zip",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"city" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.city",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"country" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.country",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("",0),
				),
				"foreign_table" => "static_countries",
				"foreign_table_where" => "ORDER BY static_countries.uid",
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"email" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.email",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					),
				),
			)
		),
		"url" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.url",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					),
				),
			)
		),
		"logo" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.logo",
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => $GLOBALS["TYPO3_CONF_VARS"]["GFX"]["imagefile_ext"],
				"max_size" => 1000,
				"uploadfolder" => "uploads/tx_sbpartner",
				"show_thumbs" => 1,
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"logo2" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.logo2",
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => $GLOBALS["TYPO3_CONF_VARS"]["GFX"]["imagefile_ext"],
				"max_size" => 1000,
				"uploadfolder" => "uploads/tx_sbpartner",
				"show_thumbs" => 1,
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"category" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.category",
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_sbpartner_categories",
				"foreign_table_where" => "AND tx_sbpartner_categories.pid=###STORAGE_PID### ORDER BY tx_sbpartner_categories.uid",
				"size" => 5,
				"minitems" => 0,
				"maxitems" => 10,
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_sbpartner_categories",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_sbpartner_categories",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"area" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.area",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"phone" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.phone",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"phone2" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.phone2",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"mobile" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.mobile",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"fax" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.fax",
			"config" => Array (
				"type" => "input",
				"size" => "30",
			)
		),
		"description" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.description",
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "2"
			)
		),
		"longdescription" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_partner.longdescription",
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, company,
									lastname, firstname, address, zip, city, country, email, url, logo, logo2, category, area, phone,
									phone2, mobile, fax, description,
									longdescription;;;richtext:rte_transform[flag=rte_enabled|mode=css]")
	),
	"palettes" => array (
		"1" => array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_sbpartner_categories"] = array (
	"ctrl" => $TCA["tx_sbpartner_categories"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,category"
	),
	"feInterface" => $TCA["tx_sbpartner_categories"]["feInterface"],
	"columns" => array (
		't3ver_label' => array (
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array (
				'type' => 'input',
				'size' => '30',
				'max'  => '30',
			)
		),
		'sys_language_uid' => array (
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array (
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_sbpartner_categories',
				'foreign_table_where' => 'AND tx_sbpartner_categories.pid=###CURRENT_PID### AND tx_sbpartner_categories.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array (
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		"category" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:sb_partner/locallang_db.xml:tx_sbpartner_categories.category",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "required,trim",
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, category")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);
?>